<!--
 Copyright (c) 2014, 2018, Oracle and/or its affiliates.
 The Universal Permissive License (UPL), Version 1.0
 -->
<section id="main" class="wrapper">
	
	<div class="inner">
		<header class="align-left">
			<h1><img src="./images/list.png" width="24px" height="24px" style="vertical-align: middle;"/>
			<span data-bind="text: header"></span></h1>
		</header>
		
		<div class="row">
			<div id="listView" class="12u$ 12u$(medium)">
				<div class="row">
					<div class="12u$ 12u$(medium)">
						<span id="status"></span>
					</div>
					<div class="12u$ 12u$(medium)">
						<oj-paging-control id="paging" data="[[paginDataSource]]" page-size="2"></oj-paging-control>
						
						<oj-list-view id="listview" aria-label="listview with paging control" style="width:100%;overflow-x:hidden"
							data="[[paginDataSource]]" on-selection-changed="[[gotoContent]]" aria-label="drill down list" 
							selection-mode="single">
							<template slot='itemTemplate'>
								<div :id="[[$current.data.requestId + $current.data.approvalId]]" class="row">
									<div class="1u 12u$(medium)">
										<img src="./images/money.png" width="32px" height="32px"/>
									</div>
									<div class="5u 12u$(medium)">
										<div>
											<strong><oj-bind-text value="[['Form-M Number']]"></oj-bind-text></strong>
											<span><oj-bind-text value="[[$current.data.formMNumber]]"></oj-bind-text></span>
										</div>
									</div>
									<div class="6u$ 12u$(medium)">
										<div>
											<strong><oj-bind-text value="[['Application Number']]"></oj-bind-text></strong>
											<span><oj-bind-text value="[[$current.data.applicationNumber]]"></oj-bind-text></span>
										</div>
									</div>
									<div class="1u 12u$(medium)">
										&nbsp;
									</div>
									<div class="5u 12u$(medium)">
										<div>
											<strong><oj-bind-text value="[['Requested Amount']]"></oj-bind-text></strong>
											<span><oj-bind-text value="[[$current.data.amount]]"></oj-bind-text></span>
										</div>
									</div>
									<div class="4u 12u$(medium)">
										<strong>Request Date</strong><span><oj-bind-text class="demo-metadata" value="[[$current.data.requestDate]]"></oj-bind-text></span>
									</div>
									<div class="2u$ 12u$(medium)">
										<a href="#" class="button special fit small" data-bind="click: makePayment"
										:id="[['btn' + $current.data.requestId]]"
										:data-row-id="{{$current.data.requestId}}">Net-Off</a>
									</div>
								</div>
							</template>
						</oj-list-view>
					</div>
				</div>
			</div>
			
			<div id="formView" style="display:none" class="12u$ 12u$(medium)">
				<div class="row">
					<div class="12u$ 12u$(medium)">
						<h4>Net-Off for Form M: <span data-bind="text:formMNumber"></span></h4>
					</div>
					<div class="4u 12u$(medium)">
						<strong>Application Number: <span data-bind="text: formApplicationNo"></span></strong>
					</div>
					<div class="4u 12u$(medium)">
						<strong>Request Date: <span data-bind="text: requestDate"></span></strong>
					</div>
					<div class="4u$ 12u$(medium)">
						<strong>Request Amount: <span data-bind="text: formAmount"></span></strong>
					</div>
					<div class="12u$ 12u$(medium)">
						<hr/>
					</div>
					<div class="6u$ 12u$(medium)">
						<oj-label for="txtAmount">CBN Approved Amount</oj-label>
						<oj-input-text placeholder='CBN Approved Amount' id="txtAmount"  inputmode="text"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
										value="{{formAmount}}"></oj-input-text>
					</div>
					<div class="12u$ 12u$(medium)">
						<oj-label for="txtDesc">Feedback/Comment</oj-label>
								<oj-text-area id="txtDesc" rows="4" style='max-width: 100%; font-size: 12pt;padding-bottom:6px;'></oj-text-area>
					</div>
					<div class="12u$ 12u$(medium)">
						<span id="pstatus"></span>
					</div>
					<div class="4u 12u$(medium)">
						<a href="#" class="button special fit small" data-bind="click: processFXPayment">Net-Off</a>
					</div>
					<div class="4u$ 12u$(medium)">
						<a href="#" class="button default fit small" data-bind="click: cancelPayment">Close</a>
					</div>
				</div>
			</div>
			
		</div>
	</div>
</section>
